package com.fs.qywx.service;

import com.fs.qywx.domain.QywxApp;
import com.fs.qywx.domain.QywxCompany;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企业微信三方应用授权公司Service接口
 *
 * @author fs
 * @date 2023-07-24
 */
public interface IQywxAppService
{
    /**
     * 查询企业微信应用
     *
     * @param id 企业微信应用ID
     * @return 企业微信应用
     */
    public QywxApp selectQywxAppById(Long id);

    /**
     * 查询企业微信应用列表
     *
     * @param qywxApp 企业微信应用
     * @return 企业微信应用集合
     */
    public List<QywxApp> selectQywxAppList(QywxApp qywxApp);

    /**
     * 新增企业微信应用
     *
     * @param qywxApp 企业微信应用
     * @return 结果
     */
    public int insertQywxApp(QywxApp qywxApp);

    /**
     * 修改企业微信应用
     *
     * @param qywxApp 企业微信应用
     * @return 结果
     */
    public int updateQywxApp(QywxApp qywxApp);

    /**
     * 批量删除企业微信应用
     *
     * @param ids 需要删除的企业微信应用ID
     * @return 结果
     */
    public int deleteQywxAppByIds(Long[] ids);

    /**
     * 删除企业微信应用信息
     *
     * @param id 企业微信应用ID
     * @return 结果
     */
    public int deleteQywxAppById(Long id);

    void updateSuite(String suiteTicket, String suiteAccessToken,  String suiteId);
}
